unit UFormMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdActns, StdCtrls, ExtCtrls,
  Db, DBTables, PSQLDbTables,
  uFormPolicy, uFormPolicyDlg
  {$IFDEF VER150}
  , XPMan
  {$ENDIF}
  ;

type
  TFormMain = class(TForm)
    MainMenu1: TMainMenu;
    FormMainPolicy: TuilFormPolicy;
    File1: TMenuItem;
    usermenu1: TMenuItem;
    Sistema1: TMenuItem;
    Admin1: TMenuItem;
    User1: TMenuItem;
    OP11: TMenuItem;
    OP21: TMenuItem;
    Login1: TMenuItem;
    Logout1: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    FormMainPolicyDlg: TuilFormPolicyDlg;
    Shape1: TShape;
    Label1: TLabel;
    Memo1: TMemo;
    Label2: TLabel;
    Shape2: TShape;
    Label3: TLabel;
    Shape3: TShape;
    Label4: TLabel;
    procedure UserManagement1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Login2Click(Sender: TObject);
    procedure Logout1Click(Sender: TObject);
    procedure Formpolicy1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses
  UDataMain;

{$R *.DFM}

procedure TFormMain.UserManagement1Click(Sender: TObject);
begin
   DataMain.SecurityDlg.Execute;
end;

procedure TFormMain.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormMain.Login2Click(Sender: TObject);
begin
   DataMain.LoginDlg.Execute;
end;

procedure TFormMain.Logout1Click(Sender: TObject);
begin
   DataMain.SecurityManager.Logout;
   Self.Caption := 'TMS Security System';
end;

procedure TFormMain.Formpolicy1Click(Sender: TObject);
begin
  FormMainPolicyDlg.Execute;
end;

procedure TFormMain.FormShow(Sender: TObject);
begin
   // Login to the Security Manager...
   if not DataMain.LoginDlg.Execute then
     Application.Terminate;
end;

end.
